{% extends 'base.html' %}

{% block content %}
<section id="subscribe" class="container d-flex justify-content-center border border-5 w-75">
    <div class="spinner my-auto text-center">
        <div class="d-flex my-auto">
        <div class="spinner-border me-3" role="status">
            <span class="visually-hidden">Loading...</span>
        </div>
        <h1 class="text-center">Processing payment...</h1>
            </div>
    </div>
    <div class="row card align-self-center border-0">
        <div class="col my-auto px-0">
            <div class="card-body">
                <h1 class="card-title text-center">Your subscribe has successfull!</h1>
                {% for o in all_offerts %}
                    {% if o.id == offert_id %}
                        {% if o.durata == 365 %}
                            <h2 class="card-text text-center mt-5">You have 1 year to watch premium anime also</h2>
                        {% else %}
                            <h2 class="card-text text-center mt-5">You have {{ o.durata }} days to watch premium anime also</h2>
                        {% endif %}
                    {% endif %}
                {% endfor %}
            </div>
        </div>
    </div>
</section>

<script>
    // Hide loading after 2,5 seconds
    setTimeout(function() {
        $('div.spinner').fadeOut('fast');
        }, 2500);

    // Show card after 3 seconds
    setTimeout(function() {
        $('div.card').fadeIn('fast');
        }, 3000);
</script>
{% endblock %}